win.def = {
	WM_NCACTIVATE		= 0x086,
	WM_ENTERMENULOOP	= 0x211,
	WM_EXITMENULOOP		= 0x212,
}

win.key = {
	VK_RETURN			= 0x0D,
	VK_ESCAPE			= 0x1B,
	VK_DELETE			= 0x2E,
}

win.state = {
	active = 1,
	menusOpen = 0,
}

win.callback = {
	
	OnActivate = function (wparam, laparam)
		if (wparam == 0) then
			win.state.active = 0
		else
			win.state.active = 1
		end
	end,
	
	OnMenuOpen = function (wparam, lparam)
		win.state.menusOpen = win.state.menusOpen + 1
	end,
	
	OnMenuClose = function (wparam, lparam)
		win.state.menusOpen = win.state.menusOpen - 1
	end,
}

win.ExportMessage(win.def.WM_NCACTIVATE, win.callback.OnActivate)
win.ExportMessage(win.def.WM_ENTERMENULOOP, win.callback.OnMenuOpen)
win.ExportMessage(win.def.WM_EXITMENULOOP, win.callback.OnMenuClose)