-- Defines environment-specific parameters

module (...)

-- Initial Layers
-- Lower order = farther back, lower in list

defaultIOFilter = "tlv"

layers = {
	{order = 1, name = 'Far Backdrop', type = 'backdrop'},
	{order = 2, name = 'Collision Map', type = 'tile', subtype = 'collision'},
	{order = 3, name = 'Platform Map', type = 'tile', subtype = 'platform'},
	{order = 4, name = 'Background Tiles', type = 'tile', subtype = 'normal'},
	{order = 5, name = 'Active Objects', type = 'object'},
	{order = 6, name = 'Foreground Tiles', type = 'tile', subtype = 'normal'},
	{order = 7, name = 'Near Backdrop', type = 'backdrop'},
}

layers[2].tileset = 'chipc.png'
layers[4].tileset = 'chip1.png'

-- Layer initially selected for editing for new files
startLayer = 4

-- Initial tools
startTools = { }
startTools.backdrop = ''
startTools.object = ''
startTools.tile = 'draw'